# OCB Density Hoe Mod - 7 Days to Die (A21) Addon

Harmony MOD (EAC needs to be off) that adds a Farming Hoe for
terrain leveling. Beside the obvious use case, it has an
alternate action that levels terrain with solid cube blocks
and shapes, so you get a clean transition. It will consider
only the 4 directly adjacent blocks. If you perform the
actions while crouching down, it will also include the
4 additional corner blocks (leveling a 3x3 grid).

Needs to be installed client and server side. And both need
EAC (Easy Anti-Cheat) to be turned off! There is no server-side
only version of this mod as it contains custom code.

Mod is compatible with Undead Legacy OOTB, but you must rename the
mod folder to e.g. `zOcbDensityHoe` to load it after Undead Legacy.

[![GitHub CI Compile Status][4]][3]

## Download and Install

Simply [download here from GitHub][2] and put into your A20 Mods folder:

- https://github.com/OCB7D2D/OcbDensityHoe/archive/master.zip (master branch)

## Changelog

### Version 0.3.1

- First Darkness Falls A21 compatibility
- Fixes and improves some item stats

### Version 0.3.0

- Update compatibility for 7D2D A21.0(b313)
- Unlocks in A21 at repair tool level 10

### Version 0.2.0

- Adds initial Darkness Falls compatibility
- Enables farm plots to be aligned with terrain too
- Limits max density for blocks to not bury them under

### Version 0.1.3

- Fix translation issue with UL schematic
- Fix group-filter for item to show under tools

### Version 0.1.2

- Add initial Undead Legacy compatibility

### Version 0.1.1

- Changed leveling algorithm
- Added translations via DeepL

### Version 0.1.0

- Initial version

## Compatibility

I've developed and tested this Mod against version a20.6(b9).

[1]: https://github.com/OCB7D2D/OcbDensityHoe
[2]: https://github.com/OCB7D2D/OcbDensityHoe/releases
[3]: https://github.com/OCB7D2D/OcbDensityHoe/actions/workflows/ci.yml
[4]: https://github.com/OCB7D2D/OcbDensityHoe/actions/workflows/ci.yml/badge.svg
